import { SecretsManager } from '@resolve-js/core';
import { CommandContext } from '../../types';
import { CommandNode } from './command';
declare type WithSecretsManagerNode = Omit<CommandNode, 'withSecretsManager' | 'setSecretsManager'>;
export declare const withSecretsManager: (context: CommandContext, manager: SecretsManager) => WithSecretsManagerNode;
export declare const setSecretsManager: (context: CommandContext, manager: SecretsManager) => Pick<CommandNode, "as" | "shouldProduceEvent" | "shouldThrow" | "then" | "catch" | "finally">;
export {};
